<?
include 'mysql.php';
include_once("inclydings/antixak.php");
$_title = 'Linewap2';
include 'inclydings/zag.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$profa=trim($udata[33]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {


echo"<small>Здраствуй! Я тебя обучу магии. Для того чтобы изучить новую магию ты должен получить профессию.</small><br/><br/>";

$dir = opendir ("L2dbnam/esql2db/mags");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != ".."))
{ $file=str_replace(".dat","",$file);

$text = @file("L2dbnam/esql2db/mags/$file.dat");
$mag = explode("||",$text[0]);
$name=trim($mag[7]);
$mp=trim($mag[1]);
$udar=trim($mag[0]);
$prof=trim($mag[5]);
$info=trim($mag[6]);
$sp=trim($mag[2]);

if(empty($profa)){
if($profa==$prof && $mag[9]=="mag"){
echo"<small><a href=\"skill.php?$sd&name=$file\">[$name] - $sp SP</a><br/>(Атака: $udar / MP: $mp)</small><br/>";

}}else
if($profa==$prof){


echo"<small><a href=\"skill.php?$sd&name=$file\">[$name] - $sp SP</a><br/>(Атака: $udar / MP: $mp)</small><br/>";

}

}}

}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"inclydings/down.php";
?>
